package com.lz.modules.luck.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*中奖记录
* @author quyixiao
* @since 2020-08-21
*/

@TableName("luck_record")
public class LuckRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除 0未删除 1删除
    private Integer isDelete;
    //
    private Date gmtCreate;
    //
    private Date gmtModified;
    //员工staff_id
    private Long staffId;
    //姓名
    private String name;
    //手机号
    private String mobile;
    //是否中将 0为中将 是否中将 0为中将 1 特等奖或者一等奖，以此类推
    private Integer isLuck;
    //权重，或者排序
    private Integer weight;
    //活动类型
    private Long luckId;
    //奖品名称
    private String goodsName;
    //奖品ID，目前不设置ID了
    private Long goodsId;
    //备注
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 0未删除 1删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 0未删除 1删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 员工staff_id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工staff_id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 姓名 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 姓名 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 是否中将 0为中将 1中将 
     * @return
     */
    public Integer getIsLuck() {
        return isLuck;
    }
    /**
     * 是否中将 0为中将 1中将 
     * @param isLuck
     */
    public void setIsLuck(Integer isLuck) {
        this.isLuck = isLuck;
    }

    /**
     * 权重，或者排序 
     * @return
     */
    public Integer getWeight() {
        return weight;
    }
    /**
     * 权重，或者排序 
     * @param weight
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 活动类型 
     * @return
     */
    public Long getLuckId() {
        return luckId;
    }
    /**
     * 活动类型 
     * @param luckId
     */
    public void setLuckId(Long luckId) {
        this.luckId = luckId;
    }

    /**
     * 奖品名称 
     * @return
     */
    public String getGoodsName() {
        return goodsName;
    }
    /**
     * 奖品名称 
     * @param goodsName
     */
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    /**
     * 奖品ID，目前不设置ID了 
     * @return
     */
    public Long getGoodsId() {
        return goodsId;
    }
    /**
     * 奖品ID，目前不设置ID了 
     * @param goodsId
     */
    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "LuckRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",staffId=" + staffId +
                ",name=" + name +
                ",mobile=" + mobile +
                ",isLuck=" + isLuck +
                ",weight=" + weight +
                ",luckId=" + luckId +
                ",goodsName=" + goodsName +
                ",goodsId=" + goodsId +
                ",remark=" + remark +
                "}";
    }
}